<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:param name="title" value="Create Team" />
	
	<ui:define name="content">	
		<div class="content-wrapper">
			<div class="content-header">
				<h1>Create team</h1>
				<h5>You can create a new team here.</h5>
			</div>
			<p:separator />
			<div class="content-body p-grid p-formgrid ui-fluid">
				<div class="card">
					<h:form id="newTeam">
						<p:messages id="messages" globalOnly="true" showDetail="true">
							<p:autoUpdate />
						</p:messages>
						<div class="form-element p-field">
							<p:outputLabel for="teamName" value="Team name" />
							<p:inputText id="teamName" value="#{teamCreateBacking.name}"
								required="true" 
								requiredMessage="You need to define a team name.">
								<p:clientValidator event="blur" />
							</p:inputText>
							<small><p:message id="teamName-error" for="teamName" display="text" /></small>
						</div>
						<div class="form-element p-field">
							<p:outputLabel for="teamDescription" value="Description (optional)" />
							<p:inputTextarea id="teamDescription" value="#{teamCreateBacking.description}"
								required="false"
								rows="10"
								cols="50"
								autoResize="true"
								maxlength="250"
								counter="remainingChars" />
							<small>Remaining characters: <p:message id="remainingChars" for="teamDescription" display="text" /></small>
						</div>
						<div class="form-element p-field">
							<p:outputLabel for="selectMembers" value="Add members to the team (optional)" />
							<p:selectCheckboxMenu id="selectMembers" 
								value="#{teamCreateBacking.selectedUsers}"
								filter="true" filterMatchMode="contains"
								showCheckbox="true"
								multiple="true" 
								label="Select members">
								<f:selectItems value="#{teamCreateBacking.users}" var="u" itemLabel="#{u.email}" itemValue="#{u}" />
							</p:selectCheckboxMenu>
						</div>
						<div class="btn-container">
							<p:commandButton id="btnCreateTeam" 
								action="#{teamCreateBacking.createNewTeam()}" 
								value="Create" 
								validateClient="true" 
								update="@form" 
								styleClass="form-button" />
							<p:linkButton outcome="/user/dashboard" value="Cancel" styleClass="form-button btn-delete" />
						</div>
				</h:form>
				</div>
			</div>
		</div>
	</ui:define>
</ui:composition>